<?php

namespace App\Http\Requests;

use App\Models\Pump;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Symfony\Component\HttpFoundation\Response;

class MassDestroyPumpRequest extends FormRequest
{
    public function authorize()
    {
        abort_if(Gate::denies('pump_delete'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return true;
    }

    public function rules()
    {
        return [
            'ids'   => 'required|array',
            'ids.*' => 'exists:pumps,id',
        ];
    }
}
