<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Gate;

class StoreSheelCardRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return Gate::allows('sheel_card_create');
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'date' => [
                'required',
            ] ,
            'ticket_no.*' => [
                'required',
                'unique:sheel_cards,ticket_no',
            ] ,
            'card_no.*' => [
                'required',
            ],
            // 'fuel.*.*' => 'required_if:fuel.*.*,null',
        ];
    }
}


