<?php

namespace App\Http\Requests;

use App\Models\PaymentAdvice;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdatePaymentAdviceRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('payment_advice_edit');
    }

    public function rules()
    {
        return [
            'date' => [
                'required',
            ],
            'invoice_no' => [
                'required',
                'string',
            ],
            'd_note_no' => [
                'nullable',
            ],
            'product' => [
                'required',
            ],
            'r_quantity' => [
                'nullable',
                'integer',
                'min:-2147483648',
                'max:2147483647',
            ],
        ];
    }
}
