<?php

namespace App\Http\Requests;

use App\Models\Pump;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdatePumpRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('pump_edit');
    }

    public function rules()
    {
        return [
            'pump' => [
                'string',
                'min:2',
                'max:20',
                'required',
                'unique:pumps,pump,' . request()->route('pump')->id,
            ],
        ];
    }
}
