<?php

namespace App\Models;

use \DateTimeInterface;
use App\Traits\Auditable;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class CashExpense extends Model
{
    use SoftDeletes;
    use Auditable;
    use HasFactory;

    public $table = 'cash_expenses';

    // protected $dates = [
    //     'date',
    //     'created_at',
    //     'updated_at',
    //     'deleted_at',
    // ];

    protected $guarded = [];

    // public function getDateAttribute($value)
    // {
    //     return $value ? Carbon::parse($value)->format(config('panel.date_format')) : null;
    // }

    // public function setDateAttribute($value)
    // {
    //     $this->attributes['date'] = $value ? Carbon::createFromFormat(config('panel.date_format'), $value)->format('Y-m-d') : null;
    // }

    public function suplier()
    {
        return $this->belongsTo(Suplier::class, 'supplier_id');
    }

    public function bankAccount()
    {
        return $this->belongsTo(BankAccount::class,'bank_account_id');
    }

    public function financialCategory()
    {
        return $this->belongsTo(\App\Models\FinancialCategory::class,'financial_category_id');
    }

    public function vat()
    {
        return $this->belongsTo(\App\Models\Vat::class,'vat_id');
    }

    public function siteRegister()
    {
        return $this->belongsTo(\App\Models\SiteRegister::class,'branch_id');
    }

    // protected function serializeDate(DateTimeInterface $date)
    // {
    //     return $date->format('Y-m-d H:i:s');
    // }
}
