<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Traits\Auditable;

class FinancialCategory extends Model
{
    use HasFactory;
    use Auditable;
    use SoftDeletes;

    protected $guarded = [];

    public function header()
    {
        return $this->belongsTo(\App\Models\Header::class);
    }
    public function cashExpense()
    {
        return $this->hasMany(\App\Models\CashExpense::class,'financial_category_id');
    }
    public function purchases()
    {
        return $this->hasMany(\App\Models\CashPurchase::class,'financial_category_id');
    }
    public function deposits()
    {
        return $this->hasMany(\App\Models\Deposit::class,'sub_category_id','id');
    }
    public function sales()
    {
        return $this->hasMany(\App\Models\Sale::class,'sub_category_id','id');
    }
    public function cashiersales()
    {
        return $this->hasMany(\App\Models\CashierSale::class,'sub_category_id','id');
    }
}
