<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Traits\Auditable;
use App\Models\SitePump;

class Fuel extends Model
{
    use HasFactory;
    use Auditable;
    use SoftDeletes;

    protected $guarded = [];

    public function pump()
    {
        return $this->hasMany(\App\Models\Pump::class);
    }

    public function fuelStock()
    {
        return $this->hasMany(\App\Models\FuelStock::class);
    }

    public function sheelCard()
    {
        return $this->hasMany(\App\Models\SheelCard::class);
    }

    public function drivewaysheet()
    {
        return $this->hasMany(\App\Models\DrivewaySheet::class);
    }

    public function paymentAdvice()
    {
        return $this->hasMany(\App\Models\PaymentAdvice::class);
    }
    public function sites()
    {
        return $this->belongsToMany(\App\Models\SiteRegister::class,'pump_site_register')->withPivot('pump_id')->using(SitePump::class)->withTimestamps();
    }
}
