<?php

namespace App\Models;

use Carbon\Carbon;
use DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Traits\Auditable;

class FuelInfo extends Model
{
    use HasFactory;
    use Auditable;
    use SoftDeletes;

    protected $guarded = [];

    protected $dates = [
        'created_at',
        'updated_at',
        'deleted_at',
    ];

//    protected $casts = [
//        'effective_from' => 'date:Y-m-d',
//        'effective_to' => 'date:Y-m-d',
//    ];

    public function fuel()
    {
        return $this->belongsTo(\App\Models\Fuel::class);
    }

    public function siteRegister()
    {
        return $this->belongsTo(\App\Models\SiteRegister::class,'branch_id');
    }

}
