<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Traits\Auditable;
use App\Models\SitePump;

class SiteRegister extends Model
{
    use HasFactory;
    use Auditable;
    use SoftDeletes;

    protected $guarded = [];

    public function type()
    {
        return $this->belongsTo(\App\Models\Type::class);
    }

    public function user()
    {
        return $this->belongsTo(\App\Models\User::class,'branch_id');
    }

    public function city()
    {
        return $this->belongsTo(\App\Models\AllCity::class);
    }

    public function state()
    {
        return $this->belongsTo(\App\Models\AllState::class);
    }

    public function pumps()
    {
        return $this->belongsToMany(\App\Models\Pump::class,'pump_site_register')->withPivot('fuel_id')->using(SitePump::class)->withTimestamps();
    }
    public function fuels()
    {
        return $this->belongsToMany(\App\Models\Fuel::class,'pump_site_register')->withPivot('pump_id')->using(SitePump::class)->withTimestamps();
    }
    public function drivewaysheet()
    {
        return $this->hasMany(DrivewaySheet::class,'branch_id','id');
    }
}
