@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.auditLog.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        {{-- <li class="breadcrumb-item"><a href="{{route('admin.audit-logs.index')}}">{{trans('cruds.auditLog.title') }}</a></li> --}}
                        <li class="breadcrumb-item active">{{trans('cruds.auditLog.title')}}</li>
                    </ul>
                </div>
                {{-- <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.users.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i> {{ trans('global.back') }}</a>
                </div> --}}
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('cruds.auditLog.title_singular') }} {{ trans('global.list') }}
            </div>

            <div class="card-body">
                <table class=" table table-bordered table-hover ajaxTable datatable datatable-AuditLog">
                    <thead>
                        <tr>
                            <th width="10">

                            </th>
                            <th>
                                {{ trans('cruds.auditLog.fields.id') }}
                            </th>
                            <th>
                                {{ trans('cruds.auditLog.fields.description') }}
                            </th>
                            <th>
                                {{ trans('cruds.auditLog.fields.subject_id') }}
                            </th>
                            <th>
                                {{ trans('cruds.auditLog.fields.subject_type') }}
                            </th>
                            <th>
                                {{ trans('cruds.auditLog.fields.user_id') }}
                            </th>
                            <th>
                                {{ trans('cruds.auditLog.fields.host') }}
                            </th>
                            <th>
                                {{ trans('cruds.auditLog.fields.created_at') }}
                            </th>
                            <th>
                                &nbsp;
                            </th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)

  let dtOverrideGlobals = {
    buttons: dtButtons,
    processing: true,
    serverSide: true,
    retrieve: true,
    aaSorting: [],
    ajax: "{{ route('admin.audit-logs.index') }}",
    columns: [
      { data: 'placeholder', name: 'placeholder' },
{ data: 'id', name: 'id' },
{ data: 'description', name: 'description' },
{ data: 'subject_id', name: 'subject_id' },
{ data: 'subject_type', name: 'subject_type' },
{ data: 'user_id', name: 'user_id' },
{ data: 'host', name: 'host' },
{ data: 'created_at', name: 'created_at' },
{ data: 'actions', name: '{{ trans('global.actions') }}' }
    ],
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  };
  let table = $('.datatable-AuditLog').DataTable(dtOverrideGlobals);
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });

});

</script>
@endsection
