@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.bankAccount.title')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.bank-accounts.index')}}">{{trans('cruds.bankAccount.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.show')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.bank-accounts.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i> {{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.bankAccount.title') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <th>
                                    {{ trans('cruds.bankAccount.fields.bank') }}
                                </th>
                                <td>
                                    {{ $bankAccount->title }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.bankAccount.fields.account_no') }}
                                </th>
                                <td>
                                    {{ $bankAccount->account_no }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.bankAccount.fields.balance') }}
                                </th>
                                <td>
                                    {{ $bankAccount->balance }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.bankAccount.fields.contact_person') }}
                                </th>
                                <td>
                                    {{ $bankAccount->contact_person }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.bankAccount.fields.phone') }}
                                </th>
                                <td>
                                    {{ $bankAccount->phone }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.siteReg.type.remarks') }}
                                </th>
                                <td>
                                    {{ $bankAccount->detail }}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
