@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.deposit.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.deposits.index')}}">{{trans('cruds.deposit.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.show')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ url('admin/deposits?date='.$deposit->date) }}" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.deposit.title_singular') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <th>
                                    {{ trans('cruds.deposit.fields.date') }}
                                </th>
                                <td>
                                    {{ date('d/m/Y',strtotime($deposit->date)) }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.deposit.fields.title') }}
                                </th>
                                <td>
                                    {{ $deposit->title }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.deposit.fields.sub_category') }}
                                </th>
                                <td>
                                    {{ ($deposit->financialCategory->title) }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.deposit.fields.amount') }}
                                </th>
                                <td>
                                    {{$deposit->amount }}
                                </td>
                            </tr>
                            {{-- <tr>
                                <th>
                                    {{ trans('cruds.deposit.fields.bank_account') }}
                                </th>
                                <td>
                                    {{$deposit->bankAccount->title ?? ''}}
                                </td>
                            </tr> --}}
                            <tr>
                                <th>
                                    {{ trans('cruds.deposit.fields.detail') }}
                                </th>
                                <td>
                                    {{$deposit->detail}}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
