@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.fuel.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('cruds.fuelInfo.title')}}</li>
                    </ul>
                </div>
                @can('fuel_info_create')
                    <div class="col-auto float-right ml-auto">
                        <a href="{{ route('admin.fuel-infos.create') }}" class="btn add-btn"> <i class="fa fa-plus"></i>{{ trans('global.add') }} {{ trans('cruds.fuelInfo.title') }}</a>
                    </div>
                @endcan
            </div>
        </div>
        {{-- @can('header_create')
            <div style="margin-bottom: 10px;" class="row">
                <div class="col-lg-12 text-right">
                    <a class="btn btn-info" href="{{ route('admin.fuel-infos.create') }}"><i class="fa fa-plus"></i>
                        {{ trans('global.add') }} {{ trans('cruds.fuelInfo.title') }}
                    </a>
                    <button class="btn btn-warning" data-toggle="modal" data-target="#csvImportModal">
                        {{ trans('global.app_csvImport') }}
                    </button>
                    @include('csvImport.modal', ['model' => 'Header', 'route' => 'admin.headers.parseCsvImport'])
                </div>
            </div>
        @endcan --}}
        <div class="card">
            <div class="card-header">
                {{ trans('cruds.fuelInfo.title') }} {{ trans('global.list') }}
            </div>

            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-hover datatable datatable-fuelInfo">
                        <thead>
                            <tr>
                                <th width="10">

                                </th>
                                <th>
                                    {{ trans('cruds.fuel.fields.id') }}
                                </th>
                                <th>
                                    {{ trans('cruds.fuelInfo.branch') }}
                                </th>
                                <th>
                                    {{ trans('cruds.fuelInfo.fuel_name') }}
                                </th>
                                <th>
                                    {{ trans('cruds.fuelInfo.cost_price') }}
                                </th>
                                <th>
                                    {{ trans('cruds.fuelInfo.selling_price') }}
                                </th>
                                <th>
                                    {{ trans('cruds.fuelInfo.eff_from') }}
                                </th>
                                <th>
                                    {{ trans('cruds.fuelInfo.eff_to') }}
                                </th>
                                <th>
                                    {{ trans('cruds.fuelInfo.status') }}
                                </th>
                                <th>
                                    &nbsp;
                                </th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script>
    $(function () {
        let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
        @can('fuel_delete')
        let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
        let deleteButton = {
            text: deleteButtonTrans,
            url: "{{ route('admin.fuel-infos.massDestroy') }}",
            className: 'bg-inverse-danger',
            action: function (e, dt, node, config) {
            var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
                return $(entry).attr('id')
            });

            if (ids.length === 0) {
                alert('{{ trans('global.datatables.zero_selected') }}')

                return
            }

            if (confirm('{{ trans('global.areYouSure') }}')) {
                $.ajax({
                headers: {'x-csrf-token': _token},
                method: 'POST',
                url: config.url,
                data: { ids: ids, _method: 'DELETE' }})
                .done(function () { location.reload() })
            }
            }
        }
        dtButtons.push(deleteButton)
        @endcan

        let dtOverrideGlobals = {
            buttons: dtButtons,
            processing: true,
            serverSide: true,
            retrieve: true,
            aaSorting: [],
            ajax: "{{ route('admin.fuel-infos.index') }}",
            columns: [
                { data: 'placeholder', name: 'placeholder' },
                {data: 'DT_RowIndex', name: 'DT_RowIndex'},
                { data: 'branch', name: 'branch' },
                { data: 'fuel', name: 'fuel' },
                { data: 'cost_price', name: 'cost_price' },
                { data: 'selling_price', name: 'selling_price' },
                { data: 'effective_from', name: 'effective_from' },
                { data: 'effective_to', name: 'effective_to' },
                { data: 'status', name: 'status' },
                { data: 'actions', name: '{{ trans('global.actions') }}' }
            ],
            orderCellsTop: true,
            order: [[ 1, 'desc' ]],
            pageLength: 100,
        };
        let table = $('.datatable-fuelInfo').DataTable(dtOverrideGlobals);
        $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
            $($.fn.dataTable.tables(true)).DataTable()
                .columns.adjust();
        });

    });

</script>
@endsection
