@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.fuelStock.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.fuel-stocks.index')}}">{{trans('cruds.fuelStock.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.add')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.fuel-stocks.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.fuelStock.title') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <div class="form-group">
                        <a class="btn btn-default" href="{{ route('admin.fuel-stocks.index') }}">
                            {{ trans('global.back_to_list') }}
                        </a>
                    </div>
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <th>
                                    {{ trans('cruds.fuelStock.fields.date') }}
                                </th>
                                <td>
                                    {{ $fuelStock->date }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.fuelStock.fields.fuel_type') }}
                                </th>
                                <td>
                                    {{ $fuelStock->fuel_type }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.fuelStock.fields.opening_stock') }}
                                </th>
                                <td>
                                    {{ $fuelStock->opening_stock }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.fuelStock.fields.purchase') }}
                                </th>
                                <td>
                                    {{ $fuelStock->purchase }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.fuelStock.fields.stock') }}
                                </th>
                                <td>
                                    {{ $fuelStock->stock }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.fuelStock.fields.closing_dips') }}
                                </th>
                                <td>
                                    {{ $fuelStock->closing_dips }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.fuelStock.fields.water_level') }}
                                </th>
                                <td>
                                    {{ $fuelStock->water_level }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.fuelStock.fields.computer_sale') }}
                                </th>
                                <td>
                                    {{ $fuelStock->sale }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.fuelStock.fields.description') }}
                                </th>
                                <td>
                                    {{ $fuelStock->description }}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="form-group">
                        <a class="btn btn-default" href="{{ route('admin.fuel-stocks.index') }}">
                            {{ trans('global.back_to_list') }}
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
