@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.generalLedger.title')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.general-ledgers.index')}}">{{trans('cruds.generalLedger.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.show')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.general-ledgers.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.generalLedger.title') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <th>
                                    {{ trans('cruds.generalLedger.fields.date') }}
                                </th>
                                <td>
                                    {{ date('d/m/Y',strtotime($generalLedger->date)) }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.generalLedger.fields.sub_category') }}
                                </th>
                                <td>
                                    {{ $generalLedger->subcategories->title ?? '' }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.generalLedger.fields.cashier') }}
                                </th>
                                <td>
                                    {{ $generalLedger->cashier->name ?? '' }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.generalLedger.fields.amount') }}
                                </th>
                                <td>
                                    {{number_format($generalLedger->amount,2)}}
                                </td>
                            </tr>
                            {{-- <tr>
                                <th>
                                    {{ trans('cruds.generalLedger.fields.detail') }}
                                </th>
                                <td>
                                    {{$generalLedger->detail}}
                                </td>
                            </tr> --}}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
