@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.report.bankingFs')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('cruds.report.bankingFs') }}</li>
                    </ul>
                </div>
                {{-- @can('banking_shop_edit') --}}
                    <div class="col-auto float-right ml-auto">
                        <a href="{{ route('admin.home') }}" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                    </div>
                {{-- @endcan --}}
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('cruds.report.bankingFs') }}
            </div>
            <div class="card-body">
                <div class="row ">
                    <div class="col-lg-9">
                        <form method="GET" action="{{route('admin.reports.bankingFs')}}">
                            <div class="row filter-row">
                                <div class="col-sm-6 col-md-4 col-lg-4">
                                    <div class="form-group form-focus">
                                        <div class="cal-icon">
                                            <input class="form-control floating datetimepicker" type="text" name="from_date">
                                        </div>
                                        <label class="focus-label">From</label>
                                    </div>
                                </div>
                               <div class="col-sm-6 col-md-4 col-lg-4">
                                    <div class="form-group form-focus">
                                        <div class="cal-icon">
                                            <input class="form-control floating datetimepicker" type="text" name="to_date">
                                        </div>
                                        <label class="focus-label">To</label>
                                    </div>
                                </div>
                                <div class="col-sm-4 col-md-3 col-lg-3">
                                    <div class="form-group">
                                        <button class="btn btn-success" id="btnSearch">{{ trans('global.search') }}</button>
                                        <a href="{{route('admin.reports.bankingFs')}}" class="btn btn-info">{{ trans('global.reset') }}</a>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="col-lg-3 text-right">
                        <a href="" class="btn btn-outline-success">Export Excel</a>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-12 table-responsive">
                        <table class="table table-striped table-hover report-table table-bordered">
                            <thead>
                                <th>
                                    {{ trans('cruds.report.date') }}
                                </th>
                                {{-- For Deposit --}}
                                @if ($sub_category != null)
                                    @foreach ($sub_category as $sub_cat)
                                        <th>
                                            {{$sub_cat->title}}
                                        </th>
                                    @endforeach
                                    <th>
                                        {{ trans('cruds.report.balance') }}
                                    </th>
                                @endif
                                <th>
                                    {{ __('FNB Cheque Deposit') }}
                                </th>
                                <th>
                                    {{ __('Non Cheque Deposit') }}
                                </th>
                                <th>
                                    {{__('Balance')}}
                                </th>
                                {{-- For EFT --}}
                                @if ($eft_sub_category != null)
                                    @foreach ($eft_sub_category as $eft)
                                        <th>
                                            {{$eft->title}}
                                        </th>
                                    @endforeach
                                    <th>
                                        {{ trans('cruds.report.balance') }}
                                    </th>
                                @endif
                                {{-- Speed Point --}}
                                @foreach ($machine as $key => $m)
                                    <th>
                                        {{Str::upper($m)}} {{__('Settle')}}
                                    </th>
                                @endforeach
                                <th>
                                    {{__('RANDS')}}
                                </th>
                            </thead>
                            <tbody>
                                @if (count($deposit_date) == 0)
                                    <tr></tr>
                                @endif
                                @foreach ($deposit_date as $key => $dd)
                                    @php
                                        $dd = date('Y-d-m',strtotime($dd));
                                        $total = 0;
                                        $bank_amount = 0;
                                        $eft_bank = 0;
                                        $eft_total = 0;
                                        $fnb_bank = 0;
                                        $non_fnb_bank = 0;
                                        $speed_point_all = 0;
                                        $total_rand = 0;
                                    @endphp
                                    <tr>
                                        <td>{{date('d/m/Y',strtotime($dd))}}</td>
                                        {{-- For Deposit --}}
                                        @foreach ($sub_category as $sub_cat)
                                            <td>
                                                @php
                                                    $deposit_data = $deposit_fs->where('date',$dd)->where('sub_category_id',$sub_cat->id)->first();
                                                    if (!empty($deposit_data)) {
                                                        $total += $deposit_data->amount;
                                                        if ($deposit_data->bank_statement != null) {
                                                            $bank_amount += $deposit_data->bank_statement->amount;
                                                        }
                                                    }
                                                @endphp
                                                {{$deposit_data->amount ?? ''}}
                                                @if ($deposit_data != null)
                                                    @if ($deposit_data->bank_statement != null)
                                                    <br><span class="badge bg-inverse-danger">Credit : {{$deposit_data->bank_statement->amount}}</span>
                                                    @endif
                                                @endif
                                            </td>
                                        @endforeach
                                        {{-- Deposit Balance --}}
                                        <td>{{number_format($bank_amount - $total,2)}}</td>
                                        {{-- Cheque --}}
                                        <td>
                                            @php
                                                $cheque1_total = 0;
                                            @endphp
                                            @foreach ($cheque_sub_category as $fnb_cheque)
                                                @php
                                                    $data = $deposit_fs->where('date',$dd)->where('sub_category_id',$fnb_cheque->id);
                                                    $cheque1_total += $data->sum('amount');
                                                    $fnb_bank += $data->sum('bank_statement.amount');
                                                @endphp
                                            @endforeach
                                            {{number_format($cheque1_total,2)}}
                                            @if ($fnb_bank != 0)
                                                <br><span class="badge bg-inverse-danger">Credit : {{number_format($fnb_bank,2)}}</span>
                                            @endif
                                        </td>
                                        <td>
                                            @php
                                                $cheque2_total = 0;
                                            @endphp
                                            @foreach ($non_cheque_sub_category as $non_fnb_cheque)
                                                @php
                                                    $cheque2_data = $deposit_fs->where('date',$dd)->where('sub_category_id',$non_fnb_cheque->id);
                                                    $cheque2_total += $cheque2_data->sum('amount');
                                                    $non_fnb_bank += $cheque2_data->sum('bank_statement.amount');
                                                @endphp
                                            @endforeach
                                            {{number_format($cheque2_total,2)}}
                                            @if ($non_fnb_bank != 0)
                                                <br><span class="badge bg-inverse-danger">Credit : {{number_format($non_fnb_bank,2)}}</span>
                                            @endif
                                        </td>
                                        <td>
                                            {{number_format($cheque1_total + $cheque2_total,2)}}
                                        </td>
                                        {{-- For EFT --}}
                                        @if ($eft_sub_category != null)
                                            @foreach ($eft_sub_category as $eft)
                                                <td>
                                                    @php
                                                        $eft_data = $deposit_fs->where('date',$dd)->where('sub_category_id',$eft->id)->first();
                                                        if (!empty($eft_data)) {
                                                            $eft_total += $eft_data->amount;
                                                            if ($eft_data->bank_statement != null) {
                                                                $eft_bank += $eft_data->bank_statement->amount;
                                                            }
                                                        }
                                                    @endphp
                                                     {{$eft_data->amount ?? ''}}
                                                     @if ($eft_data != null)
                                                         @if ($eft_data->bank_statement != null)
                                                         <br><span class="badge bg-inverse-danger">Credit : {{$eft_data->bank_statement->amount}}</span>
                                                         @endif
                                                     @endif
                                                </td>
                                            @endforeach
                                            {{-- EFT Balance --}}
                                            <td>{{number_format($eft_bank - $eft_total,2)}}</td>
                                        @endif
                                        {{-- Speed Point --}}
                                        @foreach ($machine as $id => $m)
                                            <td>
                                                @php
                                                    $speed_point_total = $speed_point->where('date',$dd)->where('type',$m)->sum('amount');
                                                    $speed_point_all += $speed_point_total;
                                                @endphp
                                                @if ($speed_point_total != 0)
                                                {{number_format($speed_point_total,2)}}
                                                @endif
                                            </td>
                                        @endforeach
                                        <td>
                                            @if ($rand_sub_category != null)
                                                @foreach ($rand_sub_category as $rand)
                                                    @php
                                                        $rand_data = $deposit_fs->where('date',$dd)->where('sub_category_id',$rand->id)->first();
                                                        if (!empty($rand_data)) {
                                                            $total_rand += $rand_data->amount;
                                                        }
                                                    @endphp
                                                @endforeach
                                                @if ($total_rand != 0)
                                                    {{number_format($total_rand,2)}}
                                                @endif
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
