@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col-6">
                    <h3 class="page-title">{{trans('cruds.setting.backup.title')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{url('admin/backup')}}">{{trans('cruds.setting.backup.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.add')}}</li>
                    </ul>
                </div>
                <div class="col-6 text-right ml-auto">
                    <a href="{{ route('admin.home') }}" title="Back" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                    @if(env('MYSQL_PATH') != NULL)
                    <a href="{{url('admin/backup/store')}}" title="Create Backup" class="btn add-btn m-r-10"><i class="la la-plus"></i>{{ __("Create Backup")}}</a>
                    @endif
                </div>
            </div>
        </div>
        {{-- <div class="card">
            <div class="card-header">
                {{ trans('cruds.setting.restore.title') }}
            </div>
            <div class="card-body">
                <form method="POST" action="{{ route("admin.setting.store") }}" enctype="multipart/form-data">
                    @csrf
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="form-group{{ $errors->has('file') ? ' has-error' : '' }} input-file-block">
                                <label class="required" style="display: block;" for="file"> {{trans('cruds.setting.restore.databaseFile')}} </label>
                                <input style="display: none;" type="file" name="file" id="file" class="prev-img input-file">
                                <label for="file" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Preloader">
                                    <i class="icon fa fa-upload"></i>
                                    <span class="js-fileName">{{ __("Choose a File")}}</span>
                                </label>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group">
                                <button type="submit" class="btn btn-primary">{{ __(" Submit")}}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div> --}}
        <div class="card">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card card-body m-b-30">
                        <form action="{{route('admin.backup.path')}}" method="POST" class="form-group">
                            {{csrf_field()}}
                            <div class="row">
                                <div class="col-md-8">
                                    <div class="form-group">
                                        <label for="MYSQL_PATH">{{ __("MYSQL Dump Path")}}</label>
                                        <i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="Please enter your Mysql binary path eg: /usr/bin/mysql/mysql-5.7.24-winx64/bin"></i>
                                        <input class="form-control" type="text" name="MYSQL_PATH" value="{{env('MYSQL_PATH') ? env('MYSQL_PATH') : ''}}" placeholder="/usr/bin/mysql/mysql-5.7.24-winx64/bin">
                                        <small class="text-danger m-t-10">
                                        {{ __("• Usually in all hosting dump path for MYSQL is /usr/bin/ ")}}<br/>
                                        {{ __(" • If that path not work than contact your hosting provider with subject What is my MYSQL DUMP Binary path ? ")}}<br/>
                                        {{ __("• Enter the path without mysqldump in path")}}<br/>
                                        </small>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <button type="submit" title="Update" class="btn btn-success btn-md m-t-30">{{ __("Update")}}</button>
                                </div>
                            </div>
                        </form>
                        <div class="row">
                            <div class="col-md-8">
                                <ul>
                                    <li>{{ __("It will generate database backup of your site.")}}</li>
                                    <li><b>{{ __("Download URL is valid only for 1 (minute).")}}</b></li>
                                    <li>{{ __("Make sure")}}<b>{{ __("mysql dump is enabled on your server")}}</b> {{ __("for database backup.")}}</li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card m-b-30">
                        <div class="card-header">
                            <h5 class="card-title mb-0">{{ __("All Backups")}}</h5>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered table-hover datatable">
                                    <thead>
                                        <tr>
                                            <th>
                                            {{ __("#")}}</th>
                                            <th>{{ __("Backup Title")}}</th>
                                            <th>{{ __("Size")}}</th>
                                            <th>{{ __("Last Created")}}</th>
                                            <th>{{ __("Actions")}}</th>
                                        </tr>
                                    </thead>
                                    @if ($backups)
                                    <tbody>
                                        @foreach ($backups as $key => $item)
                                        <tr>
                                            <td>
                                                {{ filter_var($key+1)}}
                                            </td>
                                            <td>{{ filter_var($item['name'])}}</td>
                                            <td>{{ filter_var($item['size'])}}</td>
                                            <td>{{ filter_var(date('d-m-yy',strtotime($item['last_modified'])))}}</td>
                                            <td>
                                                <a class="btn btn-xs btn-primary" href="{{ URL::temporarySignedRoute('admin.backup.download', now()->addMinutes(1), ['file' => $item['name']]) }}" title="Download"><i class="la la-download"></i></a>
                                                <a class="btn btn-xs btn-info" href="{{ URL::temporarySignedRoute('admin.backup.restore', now()->addMinutes(1), ['file' => $item['name']]) }}" title="Restore"><i class="la la-upload"></i></a>
                                                <button type="button" class="btn btn-xs btn-danger" data-toggle="modal" data-target="#deleteModal{{$key}}" title="Delete"><i class="la la-trash"></i></button>
                                                <!-- Modal -->
                                                <div id="deleteModal{{$key}}" class="delete-modal modal fade" role="dialog">
                                                    <div class="modal-dialog modal-sm">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                                                                <div class="delete-icon"></div>
                                                            </div>
                                                            <div class="modal-body text-center">
                                                                <h4 class="modal-heading">{{ __("Are You Sure ?")}}</h4>
                                                                <p>{{ __("Do you really want to delete these records?<br>
                                                                 This process cannot be undone.")}}</p>
                                                            </div>
                                                            <div class="modal-footer">
                                                                {!! Form::open(['method' => 'DELETE', 'route' => ['admin.backup.destroy', $item['name']]]) !!}
                                                                <button type="reset"  title="No" class="btn btn-dark" data-dismiss="modal">{{ __("No")}}</button>
                                                                <button type="submit" title="Yes"  class="btn btn-danger">{{ __("Yes")}}</button>
                                                                {!! Form::close() !!}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                                @endif
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
