@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.sheelCard.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.sheel-cards.index')}}">{{trans('cruds.sheelCard.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.show')}}</li>
                    </ul>
                </div>
                @can('sheel_card_edit')
                    <div class="col-auto float-right ml-auto">
                        <a href="{{ route('admin.sheel-cards.edit',$date) }}" class="btn add-btn"> <i class="la la-edit"></i> {{ trans('global.edit') }} {{ trans('cruds.sheelCard.title_singular') }}</a>
                    </div>
                @endcan
            </div>
        </div>
        <div class="card table-responsive">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.sheelCard.title') }}
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-lg-6">
                        <label for="date">{{ trans('cruds.sheelCard.fields.date') }} : {{date('d-M-y',strtotime($date))}}</label>
                    </div>
                </div>
                <table class="table table-bordered">
                    <thead>
                        <th>{{ trans('cruds.sheelCard.fields.ticket_no') }}</th>
                        <th>{{ trans('cruds.sheelCard.fields.card_no') }}</th>
                        @foreach ($fuel as $val)
                            <th>{{$val}}</th>
                        @endforeach
                        <th>{{ trans('cruds.sheelCard.fields.amount') }}</th>
                        {{-- <th>{{ trans('cruds.sheelCard.fields.shift_no') }}</th>
                        <th>{{ trans('cruds.sheelCard.fields.daily_total') }}</th> --}}
                    </thead>
                    <tbody>
                        @foreach ($sheel_card as $sc)
                            <tr>
                                <td>{{$sc->ticket_no}}</td>
                                <td>{{$sc->card_no}}</td>
                                @foreach ($fuel as $key => $val)
                                    <td>
                                       @foreach ($sc->sub_shell_card as $sub_sc)
                                            @if ($key == $sub_sc->fuel_id)
                                                {{$sub_sc->quantity}}
                                            @endif
                                       @endforeach
                                    </td>
                                @endforeach
                                <td>{{$sc->amount}}</td>

                                {{-- <td>{{$sc->shift_total}}</td>
                                <td>{{$sc->daily_total}}</td> --}}
                                <td>
                                    @can('sheel_card_delete')
                                    <form action="{{ route('admin.sheel-cards.destroyParticular',[$sc->id,$date]) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <button type="submit" class="btn btn-xs btn-danger"> <i class="la la-trash"></i> </button>
                                    </form>
                                @endcan
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                    <tfoot>
                        <tr>
                            <td colspan="{{count($fuel)+2}}" class="text-right">
                                {{ trans('cruds.sheelCard.fields.daily_total') }}
                            </td>
                            <td>
                                {{number_format($total,2)}}
                            </td>
                        </tr>
                    </tfoot>
                </table>
                <div class="row my-1">
                    <div class="col-lg-12">
                        <div class="form-group">
                            <a href="{{route('admin.sheel-cards.index')}}" class="btn add-btn"><i class="la la-arrow-left"> {{trans('global.back') }}</i></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
