@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.suplier.title')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.supliers.index')}}">{{trans('cruds.suplier.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.add')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.supliers.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.create') }} {{ trans('cruds.suplier.title_singular') }}
            </div>

            <div class="card-body">
                <form method="POST" action="{{ route("admin.supliers.store") }}" enctype="multipart/form-data">
                    @csrf
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label class="required" for="suplier">{{ trans('cruds.suplier.fields.suplier') }}</label>
                                <input class="form-control {{ $errors->has('suplier') ? 'is-invalid' : '' }}" type="text" name="suplier" id="suplier" value="{{ old('suplier', '') }}" required>
                                @if($errors->has('suplier'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('suplier') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.suplier.fields.suplier_helper') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label class="required" for="mobile_no">{{ trans('cruds.suplier.fields.mobile_no') }}</label>
                                <input type="text" class="form-control {{ $errors->has('mobile_no') ? 'is-invalid' : '' }}" name="mobile_no" id="mobile_no" value="{{old('mobile_no','')}}" required>
                                @if($errors->has('mobile_no'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('mobile_no') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.suplier.fields.mobile_no_helper') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label for="email">{{ trans('cruds.suplier.fields.email') }}</label>
                                <input class="form-control {{ $errors->has('email') ? 'is-invalid' : '' }}" type="email" name="email" id="email" value="{{ old('email') }}">
                                @if($errors->has('email'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('email') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.suplier.fields.email_helper') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label for="type">{{ trans('cruds.suplier.fields.type') }}</label>
                                <select class="form-control {{$errors->has('type') ? 'is-invalid':''}}" name="type" id="type" required>
                                    <option value="">Please Select</option>
                                    <option value="Supplier">{{__('Supplier')}}</option>
                                    <option value="Company">{{__('Company')}}</option>
                                </select>
                                @if($errors->has('type'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('type') }}
                                    </div>
                                @endif
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label for="address">{{ trans('cruds.suplier.fields.address') }}</label>
                                <textarea class="form-control {{ $errors->has('address') ? 'is-invalid' : '' }}" name="address" id="address">{{ old('address') }}</textarea>
                                @if($errors->has('address'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('address') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.suplier.fields.address_helper') }}</span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="form-group">
                                <button class="btn btn-info" type="reset">
                                    {{ trans('global.reset') }}
                                </button>
                                <button class="btn btn-primary" type="submit">
                                    {{ trans('global.save') }}
                                </button>
                            </div>
                        </div>
                    </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>



@endsection
