@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.userAlert.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.user-alerts.index')}}">{{trans('cruds.userAlert.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.add')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.user-alerts.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i> {{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.add') }} {{ trans('cruds.userAlert.title_singular') }}
            </div>

            <div class="card-body">
                <form method="POST" action="{{ route("admin.user-alerts.store") }}" enctype="multipart/form-data">
                    @csrf
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label class="required" for="alert_text">{{ trans('cruds.userAlert.fields.alert_text') }}</label>
                                <input class="form-control {{ $errors->has('alert_text') ? 'is-invalid' : '' }}" type="text" name="alert_text" id="alert_text" value="{{ old('alert_text', '') }}" required>
                                @if($errors->has('alert_text'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('alert_text') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.userAlert.fields.alert_text_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label for="alert_link">{{ trans('cruds.userAlert.fields.alert_link') }}</label>
                                <input class="form-control {{ $errors->has('alert_link') ? 'is-invalid' : '' }}" type="text" name="alert_link" id="alert_link" value="{{ old('alert_link', '') }}">
                                @if($errors->has('alert_link'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('alert_link') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.userAlert.fields.alert_link_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label for="users">{{ trans('cruds.userAlert.fields.user') }}</label>
                                <div style="padding-bottom: 4px">
                                    <span class="btn btn-info btn-xs select-all" style="border-radius: 0">{{ trans('global.select_all') }}</span>
                                    <span class="btn btn-info btn-xs deselect-all" style="border-radius: 0">{{ trans('global.deselect_all') }}</span>
                                </div>
                                <select class="form-control select2 {{ $errors->has('users') ? 'is-invalid' : '' }}" name="users[]" id="users" multiple>
                                    @foreach($users as $id => $user)
                                        <option value="{{ $id }}" {{ in_array($id, old('users', [])) ? 'selected' : '' }}>{{ $user }}</option>
                                    @endforeach
                                </select>
                                @if($errors->has('users'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('users') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.userAlert.fields.user_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <button class="btn btn-info" type="reset">
                                    {{ trans('global.reset') }}
                                </button>
                                <button class="btn btn-primary" type="submit">
                                    {{ trans('global.save') }}
                                </button>
                            </div>

                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>



@endsection
