@extends('layouts.app')
@section('content')
<div class="row justify-content-center">
    <div class="col-md-6">
        <!-- Account Logo -->
        <div class="account-logo">
            @if(isset($settings['logo']) && $settings['logo'] != null)
            <img src="{{asset('images/general/'.$settings['logo'])}}" class="thumb-prev img-responsive" alt="{{ $settings['website_title'] ?? ''  }}">
            @else
            <img class="thumb-prev img-responsive" src="" alt="Website Logo" width="150">
            @endif
        </div>
        <!-- /Account Logo -->
        <div class="card mx-4">
            <div class="card-body p-4">
                <h3 class="account-title">{{ $settings['website_title'] ?? ''  }}</h3>
                    <p class="account-subtitle">{{ trans('global.reset_password') }}</p>

                @if(session('status'))
                    <div class="alert alert-success" role="alert">
                        {{ session('status') }}
                    </div>
                @endif

                <form method="POST" action="{{ route('password.email') }}">
                    @csrf

                    <div class="form-group">
                        <input id="email" type="email" class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" name="email" required autocomplete="email" autofocus placeholder="{{ trans('global.login_email') }}" value="{{ old('email') }}">

                        @if($errors->has('email'))
                            <div class="invalid-feedback">
                                {{ $errors->first('email') }}
                            </div>
                        @endif
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <button type="submit" class="btn btn-primary btn-flat btn-block">
                                {{ trans('global.send_password') }}
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection
